Bug 1289802 - tempest leaves neutron networks in place after it runs - should net-delete them
tempest leaves neutron networks in place after it runs - should net-delete them
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: David Kranz
tkammer
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 20:42 EST by Dan Yocum
Modified: 2016-05-20 06:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-20 06:13:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-12-08 20:42:26 EST
Description of problem:

Tempest should clean up after itself - it leaves lots of 'HA network tenant <UUID>' laying around after it runs.  

Version-Release number of selected component (if applicable):
openstack-tempest-kilo-20150708.2.el7ost.noarch

How reproducible:

Every

Steps to Reproduce:
1. run tempest
2. neutron net-list
3.

Actual results:

[stack@director1 ~]$ neutron net-list
+--------------------------------------+----------------------------------------------------+-------------------------------------------------------+
| id                                   | name                                               | subnets                                               |
+--------------------------------------+----------------------------------------------------+-------------------------------------------------------+
| 01cb31ad-aeb2-4119-9d83-a6b392a9537b | HA network tenant 398ef9c7ab604bc2b2c9396328e89dfc | 42e5b5b3-7ca2-419b-80f1-3a4a10097fdc 169.254.192.0/18 |
| 06194913-d9dc-47c2-bfdb-a1dbaa4696ab | HA network tenant be22332964f44cbfa579d217a2fdd06a | f9b30117-0daf-49b5-9068-3fe00189cf4d 169.254.192.0/18 |
| 0c9c0c61-6049-47f1-b7af-9aad7dfa3ffd | HA network tenant 8016858cec7d4798ae76cbac056d4d58 | ca928f8e-dbc1-436d-a2ef-08e0698d9408 169.254.192.0/18 |
| 104d0f47-0449-4f75-b0b0-cd316a0bd5db | HA network tenant ae9894d9996e459db705c0f2ea8dc3e9 | af117591-6c01-4780-9094-67277232df96 169.254.192.0/18 |
| 18949dec-eeaa-4f23-aec8-543a2c440e86 | HA network tenant 62cdebf6745049799f6cf43d92eb8aa3 | 5b61ee93-9cc9-4274-b435-e8bdf9128298 169.254.192.0/18 |
| 2410fd34-d656-4841-aa41-6c836e728de3 | TokensTest-295502249-network                       | e7a04102-1371-4799-b2a1-2870d6b53b90 10.100.0.0/28    |
| 277aedac-9481-453d-a92d-e4ca1e3c7c56 | HA network tenant b5541308d5764715aa2143c16d68a34d | df464643-c3a1-4297-826a-ac7e287c26e8 169.254.192.0/18 |
| 27928682-d402-449d-857b-2d69265259e5 | HA network tenant ee89380e521d4fb6af030263012ee064 | e5d2a109-e6e2-4a7f-8b33-bbff3303817c 169.254.192.0/18 |
| 2a6bf9cc-da59-4d29-b36f-7e9134fa3b37 | HA network tenant 91c363b5615a4ff895d246734d4cbff4 | ce26bb32-c883-41ed-9270-b0bd6471410c 169.254.192.0/18 |
| 30b9f068-f26e-47e8-b4b1-c704bb1a5337 | HA network tenant 0b11fbfa9f3a42ff9336e6bc73ee06ac | cd032533-4da7-4652-8fbf-3fdbc0b53201 169.254.192.0/18 |
| 3c286016-feaa-4b3f-9c12-6d1cdd7864d4 | HA network tenant f6c2a530ed8c4fae87f1cca01ccd8646 | ff4a2444-c052-4610-b989-988b3ba4b938 169.254.192.0/18 |
| 443cb55e-d032-4f67-b747-d87c49b9831a | TemplateYAMLNegativeTestJSON-268797062-network     | 8580cbd8-3ffc-4d88-a84b-0f4d9bc3df3d 10.100.0.0/28    |
| 463e929d-1004-4d72-861b-3cca5c2d4dc5 | default                                            | 0f519de4-c878-493b-affb-bccf4f5bbd36 172.20.0.0/16    |
| 47f82a45-3cd4-46d0-8a06-bb73799b6002 | HA network tenant 750593ee8a7c42258699f650e2843585 | f898f1fa-9fec-430a-9736-840c5f83097f 169.254.192.0/18 |
| 48fe09f4-51cf-46f9-85f3-e564dd0b575b | HA network tenant 39d9b750912f4e609ced1d1e0d0b61f9 | 7c004b1f-5a59-4fee-aecd-be46e817819c 169.254.192.0/18 |
| 4f202951-e84d-408d-bc5b-a171ca7c8178 | HA network tenant 0679917f14e9499091f3a17077fb1bb3 | b4b61e4b-e4f5-426f-97f6-f5a0577b6110 169.254.192.0/18 |
| 5169889a-137c-41ce-a2bc-e0e6bd226a48 | HA network tenant bc926d47cf484105b5b71adea32b8fda | a95e1831-db3b-4520-b70b-be3df800dfa1 169.254.192.0/18 |
| 5d1e0079-775b-4d47-9f71-3e9adea36cec | HA network tenant 6826e38c677a4fddacef5ee0a4fdb701 | 9a20c12c-7a4d-4b8e-9b96-61e8c1859563 169.254.192.0/18 |
| 5d4c9a7d-9d53-44f8-b801-ab2343c2ffa2 | HA network tenant 4f25b9c22ce247e296f97d9ba7414497 | 75424ea7-e143-4981-86cf-7a0f033a1225 169.254.192.0/18 |
| 6476d3c5-3bd1-4624-9cb2-6850e14cdcb4 | HA network tenant 65d87408d61a483f9c36ddc9a4f747ad | f0dafb21-7b44-49b3-980e-47f3befad2c9 169.254.192.0/18 |
| 66498f77-61ed-4ea6-b7ea-a6b29e61cd79 | nova                                               | b992f855-ec04-4b41-acad-a56f5cce2462 209.132.178.0/23 |
| 694bf8a3-5c7a-4594-88d4-bcec9c75bc42 | HA network tenant cf06f66d15494d2c826e20459c5512de | e3a97cd8-e16f-44f8-9c0e-0652da2ed796 169.254.192.0/18 |
| 6fa81193-158d-4825-b44b-31574b730c5b | HA network tenant 2cacc2e7a1a640f5936b3e9d062c272c | 40ac8dcc-350c-4982-8bdc-ed731b028c25 169.254.192.0/18 |
| 775513e3-7282-4d33-bf7a-4503a9900c38 | HA network tenant e0eaacd448534a65aebc94f744676b0e | 1a9cde69-8489-4b8e-8927-ecebae4c48ca 169.254.192.0/18 |
| 7a30e1ff-56ff-4049-92d0-26a5677bbbaa | HA network tenant 68b3e79244cf444c913c6ed0455d9d7d | 27c7ba5d-be21-4148-b026-de7194eb00b7 169.254.192.0/18 |
| 8ff86086-0174-43a9-986b-b4355f94fe7e | HA network tenant a6dc69f431e14400b461e659c447aa70 | 3edff4fc-ff58-46ab-a97f-291393eca622 169.254.192.0/18 |
| 9ac26304-5ade-4c51-844e-b9771aaf4654 | HA network tenant a914f02cad5d4fbb96c57b824831817c | ff3a1d93-ab6b-458e-bdef-f71624bdf653 169.254.192.0/18 |
| aef18b4b-6f73-4fce-bf34-f5d7970ee9f3 | HA network tenant 6429461aaa464435b8f80070d9c003ee | cb3bc553-a2f2-47fd-b1a8-d413ce32cbf9 169.254.192.0/18 |
| af0d12a4-64d7-4394-9df7-f7a46385052b | HA network tenant a78fd84fb4a84399bcd94a01973374a8 | 8c109497-daad-4b4c-bfc9-d18ff8bf3285 169.254.192.0/18 |
| c27cfc0a-ee9a-40a2-8ac8-c4bbfe37b217 | HA network tenant 7d367d859be1451aa3ee1d5e5e20f3fb | dca7c0af-8224-42ca-9954-5472ba7851e5 169.254.192.0/18 |
| caf1df0f-287d-4247-b8e8-14a2926905f5 | HA network tenant 8ed23244b7df4a14ac1e4cb0acd1a4be | ea6f3823-795d-4a49-9dde-5901a7dcd166 169.254.192.0/18 |
| cc4a0f79-4159-4ee1-a040-d94ffc789f5c | HA network tenant 7b96c3880e4c4beb9e56b663121f810d | 489e9398-d06a-4877-9057-4d1508c86332 169.254.192.0/18 |
| ce34ad9a-26c4-4810-9d73-84797a97f27a | HA network tenant d8c909851a04431cb057c476656b3154 | e21ceb5b-5dae-4c80-b29f-7627daf3b9db 169.254.192.0/18 |
| d4f25bd1-d108-4878-9f20-71fb2610b315 | HA network tenant 3575fe0f31dc4da0af230a6a6ed7b6b0 | 585f96a4-9ced-4b8c-b66c-07bcc5fbba26 169.254.192.0/18 |
| de30f6c5-93b9-4779-a1cb-d32cfa51d3df | HA network tenant 5ee313e1d04b43aea55de8bfba3cc4ec | 4402b902-b88c-4156-b16f-259e7861741b 169.254.192.0/18 |
| e0699361-83c6-4797-8df1-2bf8ce51b066 | HA network tenant 731ccd241dc14c6cadedc0272bc2b784 | 262640fb-32bd-45d7-9d80-25d919258049 169.254.192.0/18 |
| e4d268a6-b26b-461c-a49a-b8222dab07a6 | HA network tenant 4fdcc59aced14629bafe8fb07f274e11 | 64e34629-0024-4cb3-b4d3-5e44ab860fb1 169.254.192.0/18 |
| f5d9ae5e-5e34-48ab-9e1b-8ee32eea28f2 | HA network tenant 9f3494696be241a283fd7cda013ab06c | 6efa0b72-7af3-414f-99c0-f12b9b2388a3 169.254.192.0/18 |
| f75deaa9-9f01-49c8-aad9-ac276b4b5a90 | HA network tenant 3ddd40b5373f47cea4572d3cf3f8dcb5 | fdccaeb5-1a30-4de7-ac61-f93df31fb380 169.254.192.0/18 |
| f8f49cdc-f8c9-467f-9a38-6b3922353f5a | HA network tenant c6360acefa1d43bcbd036b840e1c2900 | 232b1fe4-1901-4a0d-995f-9ee918883dab 169.254.192.0/18 |
| f913dcd4-7b9b-4542-b27d-f4b3daffebe0 | HA network tenant a4703a507f4f4977b4972c2c59c690b0 | 92fe1cb6-00eb-4cb3-97f1-7c2427a6a9c0 169.254.192.0/18 |
| f978ac79-b741-4cd4-85d9-b0e077bb164c | HA network tenant b835c671d9664fe2b38e895f9471faad | e66d0d39-e88c-4c22-9695-cc241cc137ad 169.254.192.0/18 |
| fff937ac-83de-45a0-aa05-06e07ab834ad | HA network tenant a54883c269ae443dbebcb37fbbecc2ac | f298bd6d-dd04-45e6-80ea-f287f2fba7fd 169.254.192.0/18 |
+--------------------------------------+----------------------------------------------------+-------------------------------------------------------+


Expected results:

| 463e929d-1004-4d72-861b-3cca5c2d4dc5 | default                                            | 0f519de4-c878-493b-affb-bccf4f5bbd36 172.20.0.0/16    |
| 66498f77-61ed-4ea6-b7ea-a6b29e61cd79 | nova                                               | b992f855-ec04-4b41-acad-a56f5cce2462 209.132.178.0/23 |


Additional info:

Fresh install of Director 7.1
Comment 2 Assaf Muller 2016-03-11 17:33:45 EST
This was fixed in Neutron liberty and will not be backported. I think you can close the bug.

Note You need to log in before you can comment on or make changes to this bug.